﻿@model EMartVG.Models.Producto

@{
    ViewBag.Title = @Model.Nombre_Producto;
}

<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">@ViewBag.Title</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Home/" style="color:white">Tienda</a></li>
        <li class="breadcrumb-item active" aria-current="~/Cliente/CreaCliente/">@ViewBag.Title</li>
    </ol>
</nav>



<form method="post">
    <div class="row" style=" margin-bottom:60%;">
        <div class="col-md-6">
            <div class="card" style="width: 18rem; background-color:black ;padding-top:5% ; padding-bottom:5%">
                <img src="@Url.Content(Model.Imagen_Producto)" alt="Alternate Text" style="height:300px" />
            </div>
        </div>
        <div class="col-md-6">
            <div class="card" style="background-color:black;opacity:0.8; color:white;padding:5% ; padding-bottom:8%">
                <!--PENDIENTE INCLUIR STOCK MOIFICABLE DESPUES DE UNA COMPRA-->
                @{
                    int? stock = Model.Stock_Producto;
                    string header = "";
                    if (stock > 0)
                    {
                        header = "Disponible Stock Web: " + stock;
                    }
                    else
                    {
                        header = "No Disponible Stock Web: " + stock;
                    }
                }
                <h5 class="card-header font-weight-bolder">@header</h5>
                <div class="card-body">
                    <h5 class="card-title font-weight-bold">@Model.Nombre_Producto</h5>
                    <p class="card-text font-weight-bold">@Model.Descripcion_Producto.</p>
                    <div class="text-center">
                        @{
                            int displayPrecio = (int)Model.Precio_Producto;
                        }
                        <h1 class="font-weight-bolder">@displayPrecio.ToString("C")</h1>
                        <hr>
                        <!--CAMPOS HIDDEN PARA POST Y AGREGAR AL CARRO-->
                        <input type="hidden" name="Id_Producto" value="@Model.Id_Producto" />
                        <input type="hidden" name="Precio_Producto" value="@Model.Precio_Producto" />
                        @{
                            if (stock > 0)
                            {


                                <input type="submit" value="Comprar" class="btn btn-light btn-block" style="margin-right:auto; margin-left:auto" />
                            }
                            else
                            {
                                <input type="button" value="Volver a Tienda" onclick="document.location.href='@Url.Content("~/Home/Index")'" class="btn btn-light btn-block" style="margin-right:auto; margin-left:auto" />
                            }
                        }

                    </div>
                </div>
            </div>
        </div>
    </div>
</form>




